module Paths_typeof (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,1,1], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/karl/.cabal/bin"
libdir     = "/home/karl/.cabal/lib/typeof-0.1.1/ghc-7.0.3"
datadir    = "/home/karl/.cabal/share/typeof-0.1.1"
libexecdir = "/home/karl/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "typeof_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "typeof_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "typeof_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "typeof_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
